Bug 27533 - C#6 interpolated string raises Internal compiler error during parsingSystem during compilation
Summary: C#6 interpolated string raises Internal compiler error during parsingSystem d...
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2015-02-28 20:15 UTC by bawNg
Modified: 2015-03-02 08:27 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description bawNg 2015-02-28 20:15:53 UTC
Reproduced using:
>using System;
>
>public static class Test {
>	public static void Main() {
>		Console.WriteLine($"This is supposed to be {"valid"}");
>	}
>}

Output during compilation:
>error CS8076: Missing close delimiter `}' for interpolated expression
>error CS0589: Internal compiler error during parsingSystem.
>NullReferenceException: Object reference not set to an instance of an object
>  at Mono.CSharp.InterpolatedString..ctor (Mono.CSharp.StringLiteral start, System.Collections.Generic.List`1 interpolations, Mono.CSharp.StringLiteral end) [0x00000] in <filename unknown>:0 
>  at Mono.CSharp.CSharpParser.yyparse (yyInput yyLex) [0x00000] in <filename unknown>:0 
>  at Mono.CSharp.CSharpParser.parse () [0x00000] in <filename unknown>:0
Comment 1 Marek Safar 2015-03-02 08:27:31 UTC
Fixed in master and mono 4.0

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.


Create a new report for Bug 27533 on Developer Community or GitHub if you have new information to add and do not yet see a matching report.

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments


Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Related Links: